<?php
$dir = dirname(__FILE__);
require_once $dir.'/../class/files.clss.php';

$files = new Files();

// Checking location
function checkLocation($path, &$result){
	global $files;
	$result = '';
	$return = false;
	if($path){
		if($path[0] == '/'){
			if($files->exists($path)){
				if($files->isDir($path)){
					$result = '{"checking":"ok"}';
					$return = true;
				}else
					$result = '{"error":"The path is not a folder."}';	
			}else
				$result = '{"error":"The folder path is incorrect. Do not exists any folder with that path."}';
		}else{
			$result = '{"error":"The folder path must to be relative to the root of the website, starting by the / symbol."}';
		}		
	}else{
		$result = '{"error":"The folder path is required."}';
	}
	return $return;	
}//function

if(isset($_REQUEST['action'])){
	switch($_REQUEST['action']){
		case 'check':
			checkLocation(trim($_REQUEST['path']), $result);
			print($result);
			exit;
		break;
		case 'save':
			$password = trim($_POST['password']);
			$resource = trim($_POST['resource']);
			$player 	= trim($_POST['player']);
			$skin 		= trim($_POST['skin']);
			
			$result_resource 	= checkLocation($resource, $result_resource_txt);
			$result_player 		= checkLocation($player, $result_player_txt);
			$result_skin 			= checkLocation($skin, $result_skin_txt);
			
			$toPrint = '{';
			if(!( $result_resource && $result_player && $result_skin)){
				$toPrint .= '"error":"Verify the paths to folders. Remember, the folder path must to be relative to the root of the website, starting by the / symbol."'; 
			}else{
				$content = $files->getFile('config/configuration.ini.php');
				$content = preg_replace("/RESOURCES_LOCATION[^;]*;/", "RESOURCES_LOCATION', '$resource');", $content);
				$content = preg_replace("/PLAYERS_LOCATION[^;]*;/", "PLAYERS_LOCATION', '$player');", $content);
				$content = preg_replace("/SKINS_LOCATION[^;]*;/", "SKINS_LOCATION', '$skin');", $content);
				if(strlen($password))
					$content = preg_replace("/PASSWORD[^;]*;/", "PASSWORD', '$password');", $content);
				
				if($files->createFile('config/configuration.ini.php', $content))
					$toPrint .='"message":"The system configuration has been completed successfully."';
				else	
					$toPrint .='"error":"The configuration file could not be created. Verify the permissions in the \'config\' folder."';
			}
			$toPrint .= ',"elements":{"resource":'.$result_resource_txt.', "player":'.$result_player_txt.', "skin":'.$result_skin_txt.'}}';
			print($toPrint);
			exit;
		break;
		default:
			unset($_REQUEST['action']);
		break;
	}
}	

$tpl->add('confVars', array(0 => array('key'=>'Upload file size restriction', 'value'=>ini_get('upload_max_filesize'), 'note'=>'The files size to be uploaded to the server must to be below the defined limit.'),
														1 => array('key'=>'Maxim execution time', 'value'=>ini_get('max_execution_time').'seconds', 'note'=>'A short execution time can create problems in the music player with big sound files.'),
														2 => array('key'=>'Memory limit', 'value'=>ini_get('memory_limit'), 'note'=>'An insufficient memory capacity, assigned to the PHP Script, can create problems in the music player with big sound files.')
													 )
				 );
$tpl->load('leftColumn', './templates/php_conf.tpl');

$tpl->add('password', PASSWORD);
$tpl->add('resource', RESOURCES_LOCATION);
$tpl->add('player', PLAYERS_LOCATION);
$tpl->add('skin', SKINS_LOCATION);

$tpl->load('rightColumn', './templates/system_conf.tpl');
$links .= '<link href="css/configuration.css" rel="stylesheet" type="text/css" />';
?>