YUI({
			loadOptional: true,
			timeout: 10000
		}).use('node', 'io', 'io-form', 'json-parse', 'yui2-yahoo', 'yui2-event', 'yui2-container',
	function(Y) {
		// PRIVATE VARIABLES INSIDE THE CLOUSURE
		var YAHOO = Y.YUI2;
		
		// PRIVATE FUNCTIONS INSIDE THE CLOUSURE
		
		// Check a form field
		var checkField = function(field, btn){
			var url = 'main.php?action=check&section=configuration&path='+encodeURI(field.get('value')),
					callback = {
						on:{
							start: function(id, args){
			      		args.dlg.show();
			      	},
				      
				      end: function(id, args){
				      	YUI.tsplayer_admin.hideDlg(args.dlg);
				      },
				      
				      success: function(id, oResponse, args) {
	         			var result = Y.JSON.parse(oResponse.responseText);
	              args.e.siblings('img').each(function(n){n.remove();});
	              if(result.error){
				        	YUI.tsplayer_admin.createErrorDlg(result.error);
				        }
				        args.e.ancestor().append('<img src="images/icons/'+((result.error) ? 'error.png' : 'ok.png')+'" />');
	            },
	              
	            failure: function(id, oResponse, args) {
	              YUI.tsplayer_admin.createErrorDlg(oResponse.responseText);
	            }
	          },
              
            timeout: 7000,
            arguments:{
            	e:btn,
            	dlg:YUI.tsplayer_admin.createLoadingDlg()
            }
					};
			Y.io(url,callback);
		};
		
		// Set event to check field btns
		Y.on('click',
				 function(e){
				 		checkField(Y.get('#'+this.get('value')), e.target);
				 },
				 '.check-btn'
	  );    
	  
	  // Submit a form
	  var save = function(){
	  	var url = 'main.php',
	  			callback = {
	  				on:{
	  					start: function(id, args){
	  						args.dlg.show();
	  					},
	  					
	  					complete: function(id, oResponse, args) {
	  						var result = Y.JSON.parse(oResponse.responseText);
				        if(result.error){
				        	YUI.tsplayer_admin.createErrorDlg(result.error);
				        }else{
				        	YUI.tsplayer_admin.createDlg({title:'Congratulations', txt:result.message, btns:[ { text:"Close", handler:function(){YUI.tsplayer_admin.hideDlg(this);}, isDefault:true }]});
				        }
				        
				        for(e in result.elements){
				        	var btn = Y.one('button[value="'+e+'"]');
				        	btn.siblings('img').each(function(n){n.remove()});
				        	btn.ancestor().append('<img src="images/icons/'+((result.elements[e].error) ? 'error.png' : 'ok.png')+'" />');
				        }
				      },
				      
				      end: function(id, args){
				      	YUI.tsplayer_admin.hideDlg(args.dlg);
				      }
	  				},
	  				method:'POST',
	  				form:{
	  					id:'main'
	  				},
	  				arguments:{
	  					dlg:YUI.tsplayer_admin.createLoadingDlg()
	  				}
	  			};
	  	Y.io(url, callback);		
	  };
	  		
	  Y.on('click', save, '#save');
	}
);