YUI({
			loadOptional: true,
			timeout: 10000
		}).use('node', 'event', 'io', 'json-parse', 'anim',
	function(Y) {
		// PRIVATE VARIABLES INSIDE THE CLOUSURE
				var total,
						counter = 0,
						s 			= Y.one('#skins'),
						sc 			= Y.one('#skins_container'),
						animSkins,
						toLeft 	= true;
						
		// PRIVATE FUNCTIONS INSIDE THE CLOUSURE
		var scrollSkins = function(){
			var sr 		= s.get('region'),
					scr 	= sc.get('region'),
					end 	= scr.left - scr.right+sr.right-sr.left-20;
			
			animSkins = new Y.Anim(
				{
					node: '#skins_container',
					from:{
						left:0
					},
					to:{
						left:end
					},
					duration:total,
					iterations: 'infinite',
    			direction: 'alternate'
				}
			);
			
			animSkins.run();	
			Y.on('mouseover', function(){animSkins.pause();}, '#skins_container img');
			Y.on('mouseout', function(){animSkins.run();}, '#skins_container img');	
			
			Y.on('windowresize', function(){
				var sr 		= s.get('region'),
						end 	= scr.left - scr.right+sr.right-sr.left-20;
				
				animSkins.stop().set('to', {'left':end}).run();			
				
			});
		};
		
		// Load image handler
	  var imgHandler = function(e){
	  	this.setStyle('display', 'inline');
	  	var r = this.get('region'),
	  			w = (r.right - r.left)*50/(r.bottom-r.top);
	  	this.set('width', w).set('height', 50).setStyle('visibility', 'visible');
	  	counter++;
	  	if(total == counter){
	  		scrollSkins();
	  	}
	  };
	  		
		
		Y.Get.script('http://www.tsplayer.com/getSkins.php',
			{
				onSuccess:function(o){
					if(skins_list && skins_list.skins.length > 0){
						var sl = skins_list.skins;
						total = sl.length;		
						
						for(var i=0; i < total; i++){
							sc.append('<a href="'+sl[i].path+'" target="_blank"><img src="'+sl[i].photo+'" alt="'+sl[i].title+'" title="'+sl[i].title+'" style="display:none;visibility:hidden;" /></a>');
						}
						
						Y.on('load', imgHandler, '#skins_container img');
					}
				}
			}
		);
	}
);