YUI({
			loadOptional: true,
			timeout: 10000
		}).use('node', 'io', 'yui2-yahoo', 'yui2-event', 'yui2-container',
	function(Y) {
		YAHOO = Y.YUI2;
		
		YUI.tsplayer_admin = {
			
			hideDlg : function(dlg){
				dlg.hide();
				dlg.destroy();
			},
			
			// Create dialogs
			createDlg : function(obj){
				var dlg = new YAHOO.widget.SimpleDialog("dlg", 
																				 { width:"300px",
																				   fixedcenter:true,
																				   visible:(typeof obj.visible != 'undefined') ? obj.visible : true,
																				   draggable:false,
																				   close: (typeof obj.close != 'undefined') ? obj.close : true,
																				   modal:true,
																				   text: obj.txt,
																				   constraintoviewport: true,
																				   buttons: obj.btns
																				 } );
			
				dlg.setHeader(obj.title);
				dlg.render(document.body);
				return dlg;
			},
			
			// Create error dialog
			createErrorDlg : function(errTxt){
				return this.createDlg({txt:errTxt, title:"Error", btns:[ { text:"Close", handler:function(){YUI.tsplayer_admin.hideDlg(this);}, isDefault:true }]});
			},
			
			// Create the loading dialog
			createLoadingDlg : function(){
				return this.createDlg({title:'Loading...', visible:false, txt:'<div style="text-align:center;"><img src="images/layout/loading.gif" /></div>', close:false, btns:{}});
			}
		};
		
		var search 	= document.location.search,
				section = 'players';
		if(search.length){
			var m = search.match(/section=([^&]+)/);
			if(m && m.length) section = m[1];
			else section = 'players';
		}
		
		Y.get('body').delegate(	'click', function(e){
			e.preventDefault();
			var me = this;
			YUI.tsplayer_admin.createDlg({txt:me.get('title'), title:"Help", btns:[ { text:"Close", handler:function(){YUI.tsplayer_admin.hideDlg(this);}, isDefault:true }]});
		}, '.help');
		
		Y.Get.script('javascript/'+section+'.js');
	}	
);